> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.sevalla.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start deployment

> Start a new deployment for your application using this endpoint.



## OpenAPI

````yaml https://api.sevalla.com/v2/openapi.json post /applications/deployments
openapi: 3.1.0
info:
  title: Sevalla API docs
  version: 1.0.0
servers:
  - url: https://api.sevalla.com/v2
security:
  - bearerAuth: []
paths:
  /applications/deployments:
    post:
      tags:
        - Deployments
      summary: Start deployment
      description: Start a new deployment for your application using this endpoint.
      operationId: startDeploymentV2
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                app_id:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  description: Application ID to deploy
                  example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                branch:
                  description: Git branch to deploy
                  example: main
                  type: string
                docker_image:
                  description: Docker image to deploy
                  example: my-image:latest
                  type: string
                is_restart:
                  default: false
                  description: Whether this is a restart deployment
                  example: false
                  type: boolean
              required:
                - app_id
              additionalProperties: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  deployment:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        description: Unique identifier for the deployment
                        example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                    required:
                      - id
                    additionalProperties: false
                required:
                  - deployment
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authentication. Pass your API key as a Bearer token in the
        Authorization header.

````